Need SMBMOUNT!

Need SMBMOUNT!

Post by Dave Rozn » Fri, 22 Jan 1999 04:00:00



Ok, this is stupid! I have everything working. Encrypted passwords,
win98,redhat 5.2, and Samba 2.0.0. GREAT. So, where is smbmount!! I
did not compile Samba, but used the RedHat RPMS for Appolo from the
Samba site.

I can see everything from the Linux box and the Win98 box, but want to
be able to MOUNT (SMBMOUNT, I guess) from Linux.

So, how do I do it if I don't have SMBMOUNT.

I tried the command that gives a
smb> prompt but that's like FTP ...actually ALOT like ftp!

Thanks all,

Dave
============================================
           Dave Roznar - W6TGE            

              Portland, OR                


 Web-site   http://members.home.net/droznar          
============================================

 
 
 

Need SMBMOUNT!

Post by root » Sat, 23 Jan 1999 04:00:00



> Ok, this is stupid! I have everything working. Encrypted passwords,
> win98,redhat 5.2, and Samba 2.0.0. GREAT. So, where is smbmount!! I
> did not compile Samba, but used the RedHat RPMS for Appolo from the
> Samba site.

                They didn't compile it with the option --with-smbmount.
                You have two options AFAIK.
                Either compile it yourself, (to make it an RPM however is
pretty difficult) or use the 2.0.0beta5 rpm (with smbmount) that
I have made. The guys at rhcn seem not to be interested in my rpm
however therefore don't expect to find it there.
                If you really want it send me an email (or nag rhcn.redhat.com
to accept my rpm) to provide you an url to download it from.

Quote:> I can see everything from the Linux box and the Win98 box, but want to
> be able to MOUNT (SMBMOUNT, I guess) from Linux.

> So, how do I do it if I don't have SMBMOUNT.

                You don't ! You said it you need smbmount

Quote:

> I tried the command that gives a
> smb> prompt but that's like FTP ...actually ALOT like ftp!

                Hahaha trully !

Quote:

> Thanks all,

> Dave

Take care,

------------------------------

remove **NOSPAM** to reply !!

 
 
 

Need SMBMOUNT!

Post by Dave Rozn » Sat, 23 Jan 1999 04:00:00




Quote:>. So, where is smbmount!! I
>> did not compile Samba, but used the RedHat RPMS for Appolo from the
>> Samba site.

>            They didn't compile it with the option --with-smbmount.

Well, I solved my own problem. I looked at my CD and started looking
at the Packages available. I found smbfs under the FILE package.
smbmount/smbumont were there.....all 50K. So I added them and they
worked.

I don't understand why, for the 50k, they don't just add these during
setup. Anyway, all is OK and I even used the RPM from the Samba site
so I use Samba 2.0.0...99115 I think, but it is the latest.

Smbfs is 2.0.1 but I think I may as well keep it as long as it works.
I see (and downloaded) smbfs 2.0.2, but not sure it would buy me
anything.

Thanks again...
============================================
           Dave Roznar - W6TGE            

              Portland, OR                


 Web-site   http://members.home.net/droznar          
============================================

 
 
 

Need SMBMOUNT!

Post by root » Sat, 23 Jan 1999 04:00:00



> >. So, where is smbmount!! I
> >> did not compile Samba, but used the RedHat RPMS for Appolo from the
> >> Samba site.

> >               They didn't compile it with the option --with-smbmount.

> Well, I solved my own problem. I looked at my CD and started looking
> at the Packages available. I found smbfs under the FILE package.
> smbmount/smbumont were there.....all 50K. So I added them and they
> worked.

                Bear in mind, that the smbfs rpm works ONLY with 2.0.x kernels.
Either with 2.1.xxx or 2.2.0 kernels it won't work. You need the smbmount
version that comes with samba (the rpm you installed has nothing to do with
the samba package) and infact it needs to be compiled against the respective
kernel headers.
                Unfortunately, as you mentioned the smbmount program is not included
with the samba2.0 rpm from the contrib site - one has to compile it for him
self.

------------------------------

remove **NOSPAM** to reply !!

 
 
 

1. smbmount need mount 6?

Hi ALL:
When i use smbmount as "smbmount //mywin95/share /mnt/smb "
the linux box was no respomd in a long time
when i use it as "smbmount /mywin95.share /mnt/smb -I win95"
the smbmount want me to input passwd,i type enter,
it said "SMBFS need mount version 6"
what happend?
am i  make a mistaken in opreate or th mount version i am using  is
worng?

2. ATAPI CD-ROM - NOGO with slackware

3. need help with samba smbmount

4. routing tables

5. Need help mounting Windows directory with smbmount please

6. Sun should taken care of small business ...

7. need help with smbmount

8. RedHat and Jaz

9. smbmount error: "SMBFS: need mount version 6"

10. 2.2.0pre1 kernel: SMBFS: need mount version 6 (I have mount2.9g smbmount 2.0.2)

11. Need Help smbmount

12. Problem mounting NT share on linux 6.1 using smbmount?

13. Smbmount question